Bug 1257371 - /usr/bin/ovirt-aaa-jdbc-tool' failed to execute [NEEDINFO]
/usr/bin/ovirt-aaa-jdbc-tool' failed to execute
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.6
x86_64 Linux
high Severity high
: ---
: 3.6.0
Assigned To: Sandro Bonazzola
Ondra Machacek
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 19:48 EDT by Pedro Aleluia
Modified: 2015-11-04 08:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 08:54:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
omachace: needinfo? (pedro.aleluia)


Attachments (Terms of Use)

  None (edit)
Description Pedro Aleluia 2015-08-26 19:48:05 EDT
Description of problem:
Centos 7 

[ ERROR ] Failed to execute stage 'Misc configuration': Command '/usr/bin/ovirt-aaa-jdbc-tool' failed to execute

Version-Release number of selected component (if applicable):
3.6

How reproducible:
engine-setup


Actual results:

[ INFO  ] Stage: Transaction setup
[ INFO  ] Stopping engine service
[ INFO  ] Stopping ovirt-fence-kdump-listener service
[ INFO  ] Stopping websocket-proxy service
[ INFO  ] Stage: Misc configuration
[ INFO  ] Stage: Package installation
[ INFO  ] Stage: Misc configuration
[ INFO  ] Initializing PostgreSQL
[ INFO  ] Creating PostgreSQL 'engine' database
[ INFO  ] Configuring PostgreSQL
[ INFO  ] Creating/refreshing Engine database schema
[ INFO  ] Creating/refreshing Engine AAA database schema
[ ERROR ] Failed to execute stage 'Misc configuration': Command '/usr/bin/ovirt-aaa-jdbc-tool' failed to execute
[ INFO  ] Yum Performing yum transaction rollback
[ INFO  ] Rolling back database schema
[ INFO  ] Clearing Engine database engine
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20150827003805-9p3wvf.log
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20150827004046-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of setup failed



Additional info:
3.6
Comment 1 Sandro Bonazzola 2015-08-31 07:50:06 EDT
Hi, can you please attach a sos report?
Comment 2 Yaniv Lavi 2015-09-02 05:59:14 EDT
Can you test if you have the same issue?
Comment 3 Ondra Machacek 2015-09-04 02:53:39 EDT
I didn't hit such issue, can you please provide debug log, it will be very usefull.

I think your problem is that you use incompatible versions of ovirt-engine-extension-aaa-jdbc and ovirt-engine-setup-plugin-ovirt-engine. Can you please check that both are up to date?
Comment 4 Pavel Novotny 2015-09-04 05:28:13 EDT
I tried with latest 3.6 oVirt on RHEL 7.2 Beta (7.2-3.el7) and didn't hit any issue with aaa-jdbc.

Installed packages:
ovirt-engine-setup-3.6.0-0.0.master.20150901142419.git8df944a.el7.centos.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.6.0-0.0.master.20150901142419.git8df944a.el7.centos.noarch
ovirt-engine-extension-aaa-jdbc-1.0.0-0.0.master.20150831142449.git4d9c713.el7.noarch

Then execute engine-setup
...
...
[ INFO  ] Execution of setup completed successfully
Comment 5 Sandro Bonazzola 2015-09-04 05:33:02 EDT
Moving to verified as per comment #4
Comment 6 Sandro Bonazzola 2015-11-04 08:54:43 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.